# CONSUMER_FRONTING_APPLICATION

The status of a consumer loan application has changed.

Endpoint: POST consumer_fronting_application
Version: 1.0

## Request fields (application/json):

  - `id` (string, required)
    The unique ID of the fronting loan, generated after a loan is created for the customer.
    Example: "620b95f7987243d398c2621c889a2039cflo"

  - `application_id` (string, required)
    The unique ID of a consumer fronting loan application.
    Example: "504f3c3659e14079a6941fe5b7a75eaacfla"

  - `agio` (number, required)
    The credit commission amount.

  - `duration` (integer, required)
    The number of months over which the loan will be repaid.
    Example: 12

  - `recipient_iban` (string, required)
    The IBAN of the loan's recipient to which the loan will be paid out.
    Example: "DE92370601930002130041"

  - `recipient_name` (string, required)
    The name of the loan recipient.
    Example: "Max Mustermann"

  - `requested_interest_rate` (number, required)
    The interest rate to apply to the fronting loan.
    Example: 0.04

  - `amount` (object, required)
    The loan amount.
    Example: {"value":1000,"unit":"cents","currency":"EUR"}

  - `amount.value` (integer, required)
    The amount value
    Example: 1000

  - `amount.currency` (string, required)
    The currency of the given value. Only EURO is currently supported.
    Example: "EUR"

  - `amount.unit` (string, required)
    The unit of the given value.
    Enum: "cents"

  - `collateral_account_iban` (string, required)
    Your Solaris prefund account from which the full loan amount (agio + net loan amount) must be transferred to Solaris' settlement account.
    Example: "DE85110101014480677574"

  - `collection_account_iban` (string, required)
    Your account to which the agio is transferred.
    Example: "DE87110101001000057123"

  - `settlement_account_iban` (string, required)
    The Solaris settlement account from which the loan amount is transferred to the customer's account.
    Example: "DE07110101014503906016"

  - `status` (string, required)
    The status of the consumer fronting loan.
    Enum: "payout_issued", "payout_pending"


## Response 200 fields
